Subject: Re: Does CHECKSUM_COMPLETE work at all?

From: Daniel Borkmann <[email-masked]>
Date: Sat, 22 Feb 2014 13:42:28 +0100

On 02/22/2014 04:08 AM, Tom Herbert wrote:
...
> Well..., I started trying to fix the UDP encapsulation code which we
> agreed was broken for checksums. This also entails fixing the new UDP
> GRO code to deal with checksums correctly when going through protocol
> layers. But, just looking at CHECKSUM_COMPLETE it seems like it's
> fundamentally broken even without encapsulation. Between GRO and HW
> checksums, it seems like we have a pretty big mess! :-)

Seems so, e.g. d97c00a32198 ("vxlan: fix receive checksum handling")
had similar issues in that regard; maybe because there seems to be
different consensus among drivers on setting CHECKSUM_COMPLETE?